Subject: Re: bug#38918: 26.3; EBDB fails to edit (add) tags

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 06 Jan 2020 11:40:30 -0800

On 01/05/20 07:49 AM, Jorge P. de Morais Neto wrote:
> cl-no-applicable-method: No applicable method:
> ebdb-record-delete-field, #s(ebdb-record-person #s(ebdb-field-uuid
> "ce30c771-c0e3-4874-ab90-a8e49078e531") #s(ebdb-field-creation-date
> (24078 20399 443853 624000)) #s(ebdb-field-timestamp (24081 48590
> 249568 725000)) (#s(ebdb-field-tags ("TODO"))) nil nil t #s(ebdb-cache
> "John Doe" ("John Doe" "Doe, John") ("ACME") nil ("[email-masked]")
> "doe, john" (#s(ebdb-db-file "~/.emacs.d/ebdb" "File: ebdb"
> #s(ebdb-field-uuid "41310d36-e033-4b31-81fa-c1c9421c8cb7") (24081
> 48578 561310 979000) (#0 #s(ebdb-record-organization
> #s(ebdb-field-uuid "88bf0c5e-6c6c-4317-899a-8cf19dd4c6a5")
> #s(ebdb-field-creation-date (24078 20310 981426 250000))
> #s(ebdb-field-timestamp (24078 20310 981328 143000)) nil nil nil nil
> #s(ebdb-cache "ACME" nil nil nil nil "acme" (#3)) nil ...)) nil "0.1"
> "" nil ...))) nil ...), (#s(ebdb-field-tags ("TODO")))
>
>
> Em [2020-01-04 sáb 16:43:04-0800], Eric Abrahamsen escreveu:
>
>> Okay, I've fixed the first problem.
>
> Thanks!
>
>> For the second, are you getting a 'ebdb-unacceptable-field error, or
>> what is it?
>
> I get the error attached.  I also attached the EBDB database I used to
> get the error.  And how I got it:

Oh, sorry, these two were actually the same problem, and all should be
fixed now. I've done a 0.6.12 release -- would you update when it's
available and check that this fixes everything? Though I'm not sure if
it will address your other error. Let's get this closed out first.

Thanks,
Eric